﻿<div class="content">

<table border = "0" cellspacing = "5">
    <tr>
    <td>
         @Html.DevExpress().Label(
         label =>
         {
         label.Text = "Order No";
         label.Width = 56;
         }).GetHtml()
    </td>
    <td style="width:7px"></td>
    <td>
        @Html.DevExpress().TextBox(
        settings =>
        {
        settings.Name = "ORDER_NO";
        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
        settings.Width = 100;
        settings.ReadOnly = true;
        settings.Text = ViewBag.pE_OrderNo;
        settings.ControlStyle.BackColor = System.Drawing.Color.Lavender;
        }).GetHtml()
    </td>
    <td style="width:30px"></td>


    @*<td>
         @Html.DevExpress().Label(
         label =>
         {
         label.Text = "Item no";
         label.Width = 51;
      
         }).GetHtml()
    </td>
    <td style="width:7px"></td>
    <td>
        @Html.DevExpress().TextBox(
        settings =>
        {
        settings.Name = "ITEM_NO";
        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
        settings.Width = 100;
        settings.ReadOnly = true;
        settings.Text = ViewBag.pE_ItemNo;
        settings.ControlStyle.BackColor = System.Drawing.Color.Lavender;
        }).GetHtml()
    </td>*@
    <td style="width:30px"></td>
    <td>
         @Html.DevExpress().Label(
         label =>
         {
         label.Text = "Part No";
         label.Width = 50;
         }).GetHtml()
    </td>
    <td style="width:7px"></td>
    <td>
        @Html.DevExpress().TextBox(
        settings =>
        {
        settings.Name = "PART_NO";
        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
        settings.Width = 100;
        settings.ReadOnly = true;
        settings.Text = ViewBag.pE_PartNo;
        settings.ControlStyle.BackColor = System.Drawing.Color.Lavender;
        }).GetHtml()
    </td>
    
    @*<td style="width:30px"></td>
    <td>
         @Html.DevExpress().Label(
         label =>
         {
         label.Text = "TMMIN Process Qty";
         label.Width = 120;
         }).GetHtml()
    </td>
    <td style="width:7px"></td>
    <td>
        @Html.DevExpress().TextBox(
        settings =>
        {
        settings.Name = "ORDER_QTY";
        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
        settings.Width = 100;
        settings.ReadOnly = true;
        settings.Text = ViewBag.pE_OrderQty;
        settings.ControlStyle.BackColor = System.Drawing.Color.Lavender;
        }).GetHtml()
    </td>*@
    

    
    </tr>



</table>

</div>




@using System.Web.UI.WebControls;
@Html.DevExpress().GridView(
    settings =>
    {
        settings.Name = "BOView";
        settings.Width = System.Web.UI.WebControls.Unit.Percentage(100);
        settings.Width = 1050;
        settings.SettingsPager.FirstPageButton.Visible = true;
        settings.SettingsPager.LastPageButton.Visible = true;
        settings.SettingsPager.ShowNumericButtons = true;
        settings.SettingsPager.Position = System.Web.UI.WebControls.PagerPosition.Bottom;
        settings.SettingsPager.PageSizeItemSettings.Visible = true;
        settings.SettingsPager.PageSizeItemSettings.Items = new string[] { "15", "30", "50", "100" };
        settings.SettingsPager.PageSize = 15;
        settings.Settings.VerticalScrollableHeight = 150;
        settings.SettingsPager.PageSizeItemSettings.Caption = "View per page";
        settings.Settings.VerticalScrollBarMode = ScrollBarMode.Auto;
        settings.Settings.HorizontalScrollBarMode = ScrollBarMode.Auto;
        settings.CommandColumn.Width = System.Web.UI.WebControls.Unit.Pixel(30);
        settings.CommandColumn.ShowSelectCheckbox = true;
        settings.CommandColumn.Visible = true;
        settings.CommandColumn.SetHeaderTemplateContent(
               c =>
               {
                   if (c.Column.VisibleIndex == 0)
                   {
                       Html.DevExpress().CheckBox(
                           chckBox =>
                           {
                               chckBox.Name = "chckBox";
                               chckBox.Properties.ClientSideEvents.CheckedChanged = "function(s, e){ PaymentTermMasterViewArea.SelectAllRowsOnPage(chckBox.GetChecked());}";
                           }
                       ).Render();
                   }
               }
               );
        settings.Columns.Add(
        column =>
        {
            column.FieldName = "BUYERPD_CD";
            column.Caption = "Buyer PD Code";
            column.Width = 100;
            column.CellStyle.Wrap = DefaultBoolean.True;
            column.ColumnType = MVCxGridViewColumnType.TextBox;
            column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
            column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
            column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
            var texbox = column.PropertiesEdit as TextBoxProperties;
            texbox.MaxLength = 6;

        });
       // settings.Columns.Add(
       //column =>
       //{
       //    column.FieldName = "ORDER_NO";
       //    column.Caption = "Order No";
       //    column.Width = 150;
       //    column.CellStyle.Wrap = DefaultBoolean.True;
       //    column.ColumnType = MVCxGridViewColumnType.TextBox;
       //    column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
       //    column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
       //    column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
       //    var texbox = column.PropertiesEdit as TextBoxProperties;
       //    texbox.MaxLength = 6;

       //});
        settings.Columns.Add(
        column =>
        {
            column.FieldName = "ORDER_DT";
            column.Caption = "Order Date";
            column.Width = 95;
            column.PropertiesEdit.DisplayFormatString = "dd.MM.yyyy";
            //column.CellStyle.Wrap = DefaultBoolean.True;
            //column.ColumnType = MVCxGridViewColumnType.TextBox;
            column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
            column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
            column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;

        });
        //settings.Columns.Add(
        //        column =>
        //        {
        //            column.FieldName = "PART_NO";
        //            column.Caption = "Part No";
        //            column.Width = 190;
        //            column.CellStyle.Wrap = DefaultBoolean.True;
        //            column.ColumnType = MVCxGridViewColumnType.TextBox;
        //            column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
        //            column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        //            column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        //        });
        //settings.Columns.Add(
        //        column =>
        //        {
        //            column.FieldName = "ITEM_NO";
        //            column.Caption = "Item No";
        //            column.Width = 200;
        //            column.CellStyle.Wrap = DefaultBoolean.True;
        //            column.ColumnType = MVCxGridViewColumnType.TextBox;
        //            column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
        //            column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        //            column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        //        });
        settings.Columns.Add(
                column =>
                {
                    column.FieldName = "ORDER_TYPE";
                    column.Caption = "Order Type";
                    column.Width = 80;
                    column.CellStyle.Wrap = DefaultBoolean.True;
                    column.ColumnType = MVCxGridViewColumnType.TextBox;
                    column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                    column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                  
                    column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                });
        settings.Columns.Add(
                column =>
                {
                    column.FieldName = "TRANSPORTATION_CD";
                    column.Caption = "Transport";
                    column.Width = 80;
                    column.CellStyle.Wrap = DefaultBoolean.True;
                    column.ColumnType = MVCxGridViewColumnType.TextBox;
                    column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                    column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                });
        //settings.Columns.Add(
        //        column =>
        //        {
        //            column.FieldName = "ORDER_QTY";
        //            column.Caption = "Order Qty";
        //            column.Width = 180;
        //            column.CellStyle.Wrap = DefaultBoolean.True;
        //            column.ColumnType = MVCxGridViewColumnType.TextBox;
        //            column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        //            column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        //            column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        //        });
        settings.Columns.Add(
                column =>
                {
                    column.FieldName = "PART_NO";
                    column.Caption = "Process Part No";
                    column.Width = 140;
                    column.CellStyle.Wrap = DefaultBoolean.True;
                    column.ColumnType = MVCxGridViewColumnType.TextBox;
                    column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                    column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                    column.PropertiesEdit.DisplayFormatString = "dd.MM.yyyy HH.mm";
                    column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                });
        settings.Columns.Add(
                column =>
                {
                    column.FieldName = "BO_QTY";
                    column.Caption = "BO";
                    column.Width = 83;
                    column.CellStyle.Wrap = DefaultBoolean.True;
                    column.ColumnType = MVCxGridViewColumnType.TextBox;
                    column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                    column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                    column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                });
        settings.Columns.Add(
                column =>
                {
                    column.FieldName = "PENDING_QTY";
                    column.Caption = "Pending";
                    column.Width = 85;
                    column.CellStyle.Wrap = DefaultBoolean.True;
                    column.ColumnType = MVCxGridViewColumnType.TextBox;
                    column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                    column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                    column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                });
        settings.Columns.Add(
                column =>
                {
                    column.FieldName = "PO_QTY";
                    column.Caption = "Hybrid With PO";
                    column.Width = 100;
                    column.CellStyle.Wrap = DefaultBoolean.True;
                    column.ColumnType = MVCxGridViewColumnType.TextBox;
                    column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                    column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                    column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                });
        settings.Columns.Add(
                column =>
                {
                    column.FieldName = "HY_OUTS_QTY";
                    column.Caption = "Hybrid No PO";
                    column.Width = 100;
                    column.CellStyle.Wrap = DefaultBoolean.True;
                    column.ColumnType = MVCxGridViewColumnType.TextBox;
                    column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                    column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                    column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                });
        settings.Columns.Add(
                column =>
                {
                    column.FieldName = "ALLOCATION_DT";
                    column.Caption = "BO(Allocation Date)";
                    column.Width = 125;
                    column.CellStyle.Wrap = DefaultBoolean.True;
                    column.ColumnType = MVCxGridViewColumnType.TextBox;
                    column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                    column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                    column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                });
        
    }).Bind(Model).GetHtml()